#ifndef WIDGETCONFIGPLUGINS_H
#define WIDGETCONFIGPLUGINS_H

#include <QWidget>
#include "QNNTPGrabGlue.h"

namespace Ui {
    class WidgetConfigPlugins;
}

class WidgetConfigPlugins : public QWidget {
    Q_OBJECT
public:
    WidgetConfigPlugins(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~WidgetConfigPlugins();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetConfigPlugins *ui;
    QNNTPGrabGlue *glue;

private slots:
    void configChanged();
    void pluginLoaded(QString plugin_name, bool is_persistent);
    void pluginUnloaded(QString plugin_name);

    void chkEnableWebServer_toggled(bool toggled);
    void spinWebserverPort_value_changed(int value);
    void btnWebserverPortApply_clicked(bool toggled);
    void chkEnableLogger_toggled(bool toggled);
};

#endif // WIDGETCONFIGPLUGINS_H
