/*
    Copyright (C) 2005-2012  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _DOWNLOAD_THREAD_H_
#define _DOWNLOAD_THREAD_H_

#include "configuration.h"

gboolean         download_thread_start(Configuration *config);
gboolean         download_thread_stop(gboolean dont_stop_decoder, const char *reason);
NGSchedularState download_thread_get_state (void);
void             download_thread_abort_without_waiting(const char *format, ...);
void             download_thread_awaken_if_needed(void);

#endif /* _DOWNLOAD_THREAD_H_ */
